#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x429f2991, "__serdev_device_driver_register" },
	{ 0x248859cd, "regulator_disable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4fd888a5, "hci_unregister_dev" },
	{ 0x9c029013, "hci_free_dev" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x36efd29a, "serdev_device_write_flush" },
	{ 0x33bd2ecb, "skb_queue_purge_reason" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4deb7599, "kfree_skb_reason" },
	{ 0xa28f3c7d, "__pm_runtime_idle" },
	{ 0xb1d931a8, "__pm_runtime_disable" },
	{ 0xfc2fa81a, "serdev_device_close" },
	{ 0xd95967bc, "skb_dequeue" },
	{ 0x2b137d52, "serdev_device_write_buf" },
	{ 0x8e4d4b62, "skb_pull" },
	{ 0xc8cb69b5, "skb_queue_head" },
	{ 0x84d85336, "skb_clone" },
	{ 0xfefd0917, "hci_recv_frame" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xef637f26, "driver_unregister" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x5601af66, "devm_kmalloc" },
	{ 0x2dcdef8f, "of_device_get_match_data" },
	{ 0x99e189d5, "of_property_read_variable_u32_array" },
	{ 0x1045fea8, "devm_regulator_get" },
	{ 0x78755023, "devm_clk_get_optional" },
	{ 0x5c9ccd5b, "devm_gpiod_get_optional" },
	{ 0xbaea6eb3, "devm_pinctrl_get" },
	{ 0xea332264, "pinctrl_lookup_state" },
	{ 0x8426a91a, "devm_clk_get" },
	{ 0x40d9e38d, "hci_alloc_dev_priv" },
	{ 0x6993e6c1, "btmtk_set_bdaddr" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x4e1d70bb, "gpiod_set_value_cansleep" },
	{ 0x2bcde8a4, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc52a880f, "devm_gpiod_put" },
	{ 0xbd33d307, "pinctrl_select_state" },
	{ 0xe078097c, "pm_runtime_no_callbacks" },
	{ 0x1ecf1b56, "hci_register_dev" },
	{ 0x815588a6, "clk_enable" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x7bba8f14, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9f37b1b1, "__alloc_skb" },
	{ 0x51bc3c20, "skb_push" },
	{ 0x59c91019, "skb_queue_tail" },
	{ 0x349b7668, "pskb_expand_head" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x769b3e19, "__hci_cmd_send" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x718b8b7, "bt_info" },
	{ 0xa0d77927, "__hci_cmd_sync" },
	{ 0x7ce120c, "btmtk_setup_firmware" },
	{ 0xac98ea94, "serdev_device_set_baudrate" },
	{ 0x3f9eff0f, "serdev_device_set_flow_control" },
	{ 0x812ed6b7, "serdev_device_wait_until_sent" },
	{ 0xea8273d1, "serdev_device_open" },
	{ 0xf00ac7b4, "pm_runtime_enable" },
	{ 0x68f7144d, "__pm_runtime_resume" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btmtk");

MODULE_ALIAS("of:N*T*Cmediatek,mt7622-bluetooth");
MODULE_ALIAS("of:N*T*Cmediatek,mt7622-bluetoothC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7663u-bluetooth");
MODULE_ALIAS("of:N*T*Cmediatek,mt7663u-bluetoothC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7668u-bluetooth");
MODULE_ALIAS("of:N*T*Cmediatek,mt7668u-bluetoothC*");

MODULE_INFO(srcversion, "9A47805D3F0290513E15FC2");

MODULE_INFO(suserelease, "SLE15-SP6");
