#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46ea0056, "vmbus_driver_unregister" },
	{ 0xdafd157a, "drm_open" },
	{ 0x634c908f, "drm_poll" },
	{ 0x588527dc, "drm_dev_enter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc5318ede, "drm_plane_enable_fb_damage_clips" },
	{ 0xa6257a2f, "complete" },
	{ 0xedd2b4dd, "drm_gem_shmem_dumb_create" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc26c4aed, "drm_atomic_helper_shutdown" },
	{ 0xcc7431b4, "__pci_register_driver" },
	{ 0x9dde0ab2, "vmbus_sendpacket" },
	{ 0xedc03953, "iounmap" },
	{ 0x3732ada1, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xae26bd7, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0x6e32a1c, "drmm_mode_config_init" },
	{ 0x7a2668d6, "vmbus_close" },
	{ 0x42e663ad, "pci_unregister_driver" },
	{ 0xc1b6a252, "vmbus_recvpacket" },
	{ 0x438e8894, "drm_add_modes_noedid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xc7f4ea7a, "drm_atomic_helper_commit" },
	{ 0xfafaae0e, "drm_atomic_helper_check" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x268d303a, "drm_atomic_helper_connector_destroy_state" },
	{ 0x1dd25b7, "drm_gem_mmap" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0x4a42d775, "drm_ioctl" },
	{ 0x596e0bf, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0x6cfcbb18, "drm_dev_unplug" },
	{ 0x3c8e4139, "drm_connector_init" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x5c091758, "drm_mode_config_helper_suspend" },
	{ 0x1b0489fe, "vmbus_open" },
	{ 0xe3ef1b09, "drm_atomic_helper_damage_merged" },
	{ 0x6f4c70bd, "noop_llseek" },
	{ 0xa0f36787, "drm_read" },
	{ 0xca86efc6, "drm_gem_fb_create_with_dirty" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xcecf784d, "__devm_drm_dev_alloc" },
	{ 0xa0011cd2, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xdcb764ad, "memset" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0x75be4fdf, "drm_fbdev_generic_setup" },
	{ 0xdedc2362, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x2d09cbed, "drm_simple_display_pipe_init" },
	{ 0x178a6c72, "drm_connector_cleanup" },
	{ 0x5ec7294a, "drm_fb_memcpy" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xc37f2ab7, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0x58dea939, "__vmbus_driver_register" },
	{ 0xb4638804, "drm_helper_probe_single_connector_modes" },
	{ 0x678be9e0, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x85950c2b, "drm_set_preferred_mode" },
	{ 0x80cbe10e, "drm_atomic_helper_connector_reset" },
	{ 0x890849b2, "vmbus_allocate_mmio" },
	{ 0x700a4824, "drm_mode_config_reset" },
	{ 0xa44cd915, "drm_mode_config_helper_resume" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x36cd5ca9, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0x1af6642c, "drm_compat_ioctl" },
	{ 0x537346e8, "drm_dev_register" },
	{ 0x10c7d275, "drm_release" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:02780ada77e3ac4a8e770558eb1073f8");
MODULE_ALIAS("pci:v00001414d00005353sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "38A02B5ED8CC259F83D9DBB");

MODULE_INFO(suserelease, "SLE15-SP6");
