#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab8a1d68, "__spi_register_driver" },
	{ 0x248859cd, "regulator_disable" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xef637f26, "driver_unregister" },
	{ 0x22b67f49, "input_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa945fc45, "spi_sync" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xadb668cf, "touchscreen_report_pos" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1981ac54, "gpiod_get_value" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2bcde8a4, "regulator_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0x815f81e7, "spi_setup" },
	{ 0x5601af66, "devm_kmalloc" },
	{ 0x4e59b639, "devm_input_allocate_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcfee5c00, "input_set_capability" },
	{ 0x97741cc4, "input_set_abs_params" },
	{ 0x4856dc0f, "touchscreen_parse_properties" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0x1045fea8, "devm_regulator_get" },
	{ 0x9a8a64b2, "__devm_add_action" },
	{ 0xdf84bf6c, "devm_request_threaded_irq" },
	{ 0xbeb57a20, "devm_hwmon_device_register_with_groups" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0xda300fe, "devm_device_add_group" },
	{ 0x4460e5ad, "device_get_match_data" },
	{ 0x6b979c22, "device_property_read_u16_array" },
	{ 0x535bc175, "device_property_present" },
	{ 0x283ad116, "device_property_read_u32_array" },
	{ 0xf1e72361, "devm_gpiod_get" },
	{ 0x77e027de, "gpiod_set_debounce" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0xb743fda4, "input_register_device" },
	{ 0x2bd1335d, "device_wakeup_disable" },
	{ 0x804a2e60, "device_set_wakeup_capable" },
	{ 0x89ecab39, "devm_kfree" },
	{ 0x46997b23, "device_wakeup_enable" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("spi:tsc2046");
MODULE_ALIAS("spi:ads7843");
MODULE_ALIAS("spi:ads7845");
MODULE_ALIAS("spi:ads7846");
MODULE_ALIAS("spi:ads7873");
MODULE_ALIAS("of:N*T*Cti,tsc2046");
MODULE_ALIAS("of:N*T*Cti,tsc2046C*");
MODULE_ALIAS("of:N*T*Cti,ads7843");
MODULE_ALIAS("of:N*T*Cti,ads7843C*");
MODULE_ALIAS("of:N*T*Cti,ads7845");
MODULE_ALIAS("of:N*T*Cti,ads7845C*");
MODULE_ALIAS("of:N*T*Cti,ads7846");
MODULE_ALIAS("of:N*T*Cti,ads7846C*");
MODULE_ALIAS("of:N*T*Cti,ads7873");
MODULE_ALIAS("of:N*T*Cti,ads7873C*");

MODULE_INFO(srcversion, "2D401EB1724B80CDADB864C");

MODULE_INFO(suserelease, "SLE15-SP6");
