#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xa141a59e, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x170c81a7, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x6ee6f45c, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x2bfed50f, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x715df690, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x866810cf, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x49d6eeb1, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c89581d, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6099e4c, "vb2_dma_sg_memops" },
	{ 0x217c64d7, "video_ioctl2" },
	{ 0xc5d66475, "pci_enable_device" },
	{ 0xeaa801a2, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8610c06a, "vb2_ops_wait_finish" },
	{ 0xcc7431b4, "__pci_register_driver" },
	{ 0xcd879a79, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x9285a57, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xa25e8fc9, "vb2_ioctl_querybuf" },
	{ 0xe5885e2, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x42e663ad, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xf385f77b, "v4l2_ctrl_handler_setup" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x64b4bdf3, "video_devdata" },
	{ 0xf4447ac9, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x2b1aec53, "i2c_del_adapter" },
	{ 0x696f7ff7, "vb2_plane_cookie" },
	{ 0xa8f29548, "vb2_ioctl_dqbuf" },
	{ 0x73a8d4e6, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1dc6ca75, "vb2_ioctl_prepare_buf" },
	{ 0xf23ccf1b, "dma_alloc_attrs" },
	{ 0x9732934b, "vb2_buffer_done" },
	{ 0xc068a535, "v4l2_ctrl_subscribe_event" },
	{ 0xea9e801d, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xadf781e5, "vb2_ioctl_qbuf" },
	{ 0x23251323, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0xee15f131, "pci_set_master" },
	{ 0x888bbf5c, "vb2_fop_read" },
	{ 0x66bda78e, "v4l2_device_register" },
	{ 0x542bd779, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x568fab2e, "dma_free_attrs" },
	{ 0xfe0f0f1c, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7e585a9d, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2a94f8b8, "vb2_ioctl_streamon" },
	{ 0x23c92982, "vb2_fop_poll" },
	{ 0x51922138, "v4l2_ctrl_new_std" },
	{ 0x3dbaa04c, "v4l2_ctrl_handler_free" },
	{ 0xc0d9e31b, "v4l2_device_unregister" },
	{ 0x62992d08, "pci_disable_device" },
	{ 0xd782288e, "dma_set_mask" },
	{ 0x5d0209b8, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf7bf7914, "param_ops_int" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5853d4db, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc22f7786, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x7ce5fb00, "vb2_ioctl_reqbufs" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "77EC1E165D4713381B62A04");

MODULE_INFO(suserelease, "SLE15-SP6");
