#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ivtv_ext_init, 0x6aba2919, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xf6335327, "");
SYMBOL_CRC(ivtv_api, 0x62f58b32, "");
SYMBOL_CRC(ivtv_vapi, 0x118d8fb5, "");
SYMBOL_CRC(ivtv_vapi_result, 0x1673b893, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x5ae4867c, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xdac4506d, "");
SYMBOL_CRC(ivtv_udma_setup, 0xa244b7ad, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x967f2c0d, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x73acbd35, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x6e7ff4b6, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x36e1a5ce, "");
SYMBOL_CRC(ivtv_firmware_check, 0xc04e03eb, "");
SYMBOL_CRC(ivtv_claim_stream, 0x28263f02, "");
SYMBOL_CRC(ivtv_release_stream, 0x6e97a57c, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xb2bc9a46, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x9a0d0026, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6068af0, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x45008c76, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x217c64d7, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc5d66475, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x49549d95, "i2c_bit_add_bus" },
	{ 0xe1cf5335, "v4l2_fh_del" },
	{ 0x59d4ae98, "v4l2_i2c_new_subdev_board" },
	{ 0x1428b246, "kthread_flush_worker" },
	{ 0xea3c3b95, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x83bb32ef, "dma_unmap_page_attrs" },
	{ 0x36a6b16b, "request_firmware" },
	{ 0xcc7431b4, "__pci_register_driver" },
	{ 0xcd879a79, "v4l2_ctrl_handler_init_class" },
	{ 0xbf0349e, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7551864d, "unpin_user_pages" },
	{ 0x9285a57, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa98decc5, "i2c_transfer_buffer_flags" },
	{ 0x1364cd7c, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x42e663ad, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x92bc2c25, "wake_up_process" },
	{ 0x4a7e170, "dev_driver_string" },
	{ 0x4c5c7445, "v4l2_device_register_subdev" },
	{ 0xb7da463f, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xde90dbbe, "v4l2_ctrl_handler_log_status" },
	{ 0xf385f77b, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x64b4bdf3, "video_devdata" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xecd1b36e, "i2c_new_scanned_device" },
	{ 0xfe03952f, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xa087fe0c, "kthread_queue_work" },
	{ 0xfc0baa38, "__free_pages" },
	{ 0x2b1aec53, "i2c_del_adapter" },
	{ 0xbd9f57f7, "__v4l2_ctrl_s_ctrl" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x72f34adc, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x78f45b49, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x30e0719a, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8fbf1532, "pci_read_config_word" },
	{ 0xc068a535, "v4l2_ctrl_subscribe_event" },
	{ 0xd766f44a, "v4l2_fh_init" },
	{ 0x5c494b51, "v4l2_event_pending" },
	{ 0x9272355b, "__kthread_init_worker" },
	{ 0xea9e801d, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcbd054ce, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa2cd8fdc, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe0906a38, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xee15f131, "pci_set_master" },
	{ 0x487fbe4b, "v4l2_ctrl_new_std_menu" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x66bda78e, "v4l2_device_register" },
	{ 0x1a698503, "param_ops_string" },
	{ 0x542bd779, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1981ef76, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfe0f0f1c, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbeb621b6, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd4b45229, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51922138, "v4l2_ctrl_new_std" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb5f2857, "v4l2_ctrl_g_ctrl" },
	{ 0xb6a3618e, "cx2341x_handler_init" },
	{ 0xc0640f39, "cx2341x_handler_set_50hz" },
	{ 0x3dbaa04c, "v4l2_ctrl_handler_free" },
	{ 0xc0d9e31b, "v4l2_device_unregister" },
	{ 0x62992d08, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xd782288e, "dma_set_mask" },
	{ 0xb6d182ad, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x89e32a9d, "v4l2_subdev_call_wrappers" },
	{ 0x55283879, "dma_unmap_sg_attrs" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x2c6343fe, "v4l2_event_queue" },
	{ 0xc9d17a82, "v4l2_i2c_new_subdev" },
	{ 0x5d0209b8, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf7bf7914, "param_ops_int" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5853d4db, "video_device_release_empty" },
	{ 0x7345d5d4, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x45f61336, "pci_write_config_dword" },
	{ 0xc22f7786, "v4l2_event_unsubscribe" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcd85aa61, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29C7E0DF5E9B4163F46F88D");

MODULE_INFO(suserelease, "SLE15-SP6");
