#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa024d3bd, "alloc_etherdev_mqs" },
	{ 0x773f94fa, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x535bc175, "device_property_present" },
	{ 0x1fbc44ec, "devm_platform_ioremap_resource" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2a887214, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5bfe9a98, "skb_copy_bits" },
	{ 0xdf84bf6c, "devm_request_threaded_irq" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5601af66, "devm_kmalloc" },
	{ 0x5798cd0a, "of_node_put" },
	{ 0x7bba8f14, "skb_put" },
	{ 0x1c5fc47a, "skb_tstamp_tx" },
	{ 0x61f67c92, "phy_gbit_features_array" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x63e6d50f, "__napi_alloc_skb" },
	{ 0x9a89713d, "platform_driver_unregister" },
	{ 0x8c47bc7e, "consume_skb" },
	{ 0x2947183, "of_find_device_by_node" },
	{ 0xd3d20116, "pci_alloc_irq_vectors" },
	{ 0xdfd9699, "platform_get_irq" },
	{ 0x2a62e95f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xd5b24f2c, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbfd36f52, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x83bb32ef, "dma_unmap_page_attrs" },
	{ 0xcc7431b4, "__pci_register_driver" },
	{ 0xb0c6d158, "skb_add_rx_frag" },
	{ 0x278ad138, "ptp_clock_index" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb4b68353, "__put_devmap_managed_page_refs" },
	{ 0xc65a5894, "eth_validate_addr" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc558d333, "netdev_warn" },
	{ 0x3e90fcfd, "phy_aneg_done" },
	{ 0xdd689fec, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf5288dae, "pci_irq_vector" },
	{ 0xcdf06be8, "__netif_napi_del" },
	{ 0xe214cd20, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0x8426a91a, "devm_clk_get" },
	{ 0x42e663ad, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x35d41ac4, "netdev_err" },
	{ 0x349b7668, "pskb_expand_head" },
	{ 0x4a7e170, "dev_driver_string" },
	{ 0x9f659acc, "dev_addr_mod" },
	{ 0xe3c032ef, "eth_type_trans" },
	{ 0xb7da463f, "dma_map_page_attrs" },
	{ 0xf9cebf49, "genphy_soft_reset" },
	{ 0x7e5e8917, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xd6c794e0, "platform_irq_count" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xeef98238, "devm_free_irq" },
	{ 0x36072d0b, "__napi_schedule" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f39fedc, "kmalloc_node_trace" },
	{ 0x930475c0, "netif_device_detach" },
	{ 0x283ad116, "device_property_read_u32_array" },
	{ 0x618911fc, "numa_node" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0xaeadc4dd, "napi_gro_receive" },
	{ 0x882c7855, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x99aa300, "pci_select_bars" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xb504241a, "device_get_dma_attr" },
	{ 0x70f30ada, "phy_detach" },
	{ 0x7386a194, "pcim_iomap_regions" },
	{ 0xa077c09, "of_match_device" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xd1c3fffb, "__irq_apply_affinity_hint" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x13a4aa2c, "softnet_data" },
	{ 0x278afac8, "debugfs_create_bool" },
	{ 0x8ea60e1b, "simple_open" },
	{ 0x91ec6923, "__of_parse_phandle_with_args" },
	{ 0xea4adf64, "phy_device_remove" },
	{ 0x65d94631, "device_property_read_u8_array" },
	{ 0x7073c04f, "phy_10_100_features_array" },
	{ 0x650568ec, "ptp_clock_register" },
	{ 0x5e969fcc, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9169ed16, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb28001, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x610a3254, "pci_get_domain_bus_and_slot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf23ccf1b, "dma_alloc_attrs" },
	{ 0x94b8ecea, "debugfs_remove" },
	{ 0xe0d7247f, "napi_enable" },
	{ 0x3abd2c1a, "register_netdev" },
	{ 0x6ff89c18, "mdiobus_read" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd135702d, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8f7c22f8, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6e0b7cd7, "netif_tx_stop_all_queues" },
	{ 0x2e473c9, "netif_tx_wake_queue" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe0906a38, "dma_sync_single_for_cpu" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0xc1168ffc, "phy_device_free" },
	{ 0x1a50d8db, "netif_schedule_queue" },
	{ 0x7e7f7c9f, "__alloc_pages" },
	{ 0xee15f131, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9e2f16e, "acpi_match_device" },
	{ 0x6c5bfa14, "netdev_set_tc_queue" },
	{ 0x82ee9fd, "ptp_clock_unregister" },
	{ 0x3ceb60a6, "__pskb_pull_tail" },
	{ 0x2ab10401, "phy_start_aneg" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x168a596a, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3359eab5, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b1a7ba8, "netdev_alert" },
	{ 0xe78be258, "__platform_driver_register" },
	{ 0x1b359d84, "dma_set_coherent_mask" },
	{ 0x8e4a417c, "phy_device_register" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x38e6ba68, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa628f738, "_dev_notice" },
	{ 0x7f67b127, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6de87629, "debugfs_create_file" },
	{ 0x5b23a239, "netdev_reset_tc" },
	{ 0x568fab2e, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb35b16aa, "phy_support_asym_pause" },
	{ 0xc0ddc87, "mdiobus_write" },
	{ 0xa2085cce, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb24c7722, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x714a3a8f, "netif_carrier_on" },
	{ 0x46fd629e, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x5f1fa3c2, "__mdiobus_register" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2f1b9496, "phy_init_hw" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xd782288e, "dma_set_mask" },
	{ 0xe0572c04, "pcim_iomap_table" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x871099fd, "genphy_read_status" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x753d6109, "__napi_schedule_irqoff" },
	{ 0x4cdeffb4, "napi_schedule_prep" },
	{ 0x98cf60b3, "strlen" },
	{ 0x48f2a58e, "napi_disable" },
	{ 0x9618a599, "dev_kfree_skb_any_reason" },
	{ 0xf8a10c9f, "phy_attach_direct" },
	{ 0x614024da, "netdev_notice" },
	{ 0xf7bf7914, "param_ops_int" },
	{ 0x55bb5d9e, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xa32962a9, "debugfs_create_dir" },
	{ 0xe1fa9486, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x137d5889, "netdev_info" },
	{ 0x7227d4af, "get_phy_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:AMDI8001:*");
MODULE_ALIAS("of:N*T*Camd,xgbe-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,xgbe-seattle-v1aC*");
MODULE_ALIAS("pci:v00001022d00001458sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001459sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "54A07B58C6D8D6F8DE0947B");

MODULE_INFO(suserelease, "SLE15-SP6");
