#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x0351e8a0, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xeb97b9e6, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x4deb7599, "kfree_skb_reason" },
	{ 0xb0a8c25d, "xdp_return_frame" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe1b874c8, "fasync_helper" },
	{ 0x2c7d2039, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x137d5889, "netdev_info" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd000a23, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x24004b54, "sock_init_data_uid" },
	{ 0x7400c2a5, "sk_free" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xaeadc4dd, "napi_gro_receive" },
	{ 0x7e5e8917, "napi_complete_done" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd15cb96e, "nla_put" },
	{ 0x406e020b, "from_kgid_munged" },
	{ 0x4adc7c93, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5eec45c8, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x954412b3, "dev_get_tstats64" },
	{ 0x6e0b7cd7, "netif_tx_stop_all_queues" },
	{ 0x4e1eb146, "lock_sock_nested" },
	{ 0xa9b60925, "sk_detach_filter" },
	{ 0xcd94d0b7, "release_sock" },
	{ 0x92997ed8, "_printk" },
	{ 0x64dd16c4, "rtnl_link_register" },
	{ 0x274885a6, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb1e23ad, "misc_deregister" },
	{ 0x2e0c13, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x4501114c, "kill_fasync" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x2ee25e56, "bpf_prog_put" },
	{ 0x714a3a8f, "netif_carrier_on" },
	{ 0xb24c7722, "netif_carrier_off" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xf56e50d5, "xdp_rxq_info_is_reg" },
	{ 0x5e969fcc, "netif_set_real_num_tx_queues" },
	{ 0x9169ed16, "netif_set_real_num_rx_queues" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xff128a8e, "sk_attach_filter" },
	{ 0x541eb70a, "__xdp_rxq_info_reg" },
	{ 0xb27388da, "xdp_rxq_info_reg_mem_model" },
	{ 0xe0d7247f, "napi_enable" },
	{ 0x2a62e95f, "netif_napi_add_weight" },
	{ 0x1e235987, "xdp_rxq_info_unreg" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x33bd2ecb, "skb_queue_purge_reason" },
	{ 0x48f2a58e, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcdf06be8, "__netif_napi_del" },
	{ 0xd6144450, "module_put" },
	{ 0x510b6521, "build_skb" },
	{ 0x7bba8f14, "skb_put" },
	{ 0x166fc470, "skb_set_owner_w" },
	{ 0xdcb764ad, "memset" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x555217d5, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x259a66ab, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5a5c13da, "netdev_core_stats_inc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x101541ee, "_copy_to_iter" },
	{ 0x8018e62b, "iov_iter_advance" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa624573b, "skb_copy_datagram_iter" },
	{ 0x8c47bc7e, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x35d41ac4, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf1dc7a51, "bpf_prog_get_type_dev" },
	{ 0x20f7f072, "xdp_do_redirect" },
	{ 0x8d054d00, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x14d29a71, "__traceiter_xdp_exception" },
	{ 0x6e30c525, "xdp_return_frame_rx_napi" },
	{ 0xecd304d1, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xa1bc8746, "skb_page_frag_refill" },
	{ 0x162a42a4, "copy_page_from_iter" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7f39bc3d, "xdp_master_redirect" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa2085cce, "__folio_put" },
	{ 0xb4b68353, "__put_devmap_managed_page_refs" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7b46e969, "seq_printf" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x27310ef7, "__skb_get_hash_symmetric" },
	{ 0x36b25f7c, "sock_recv_errqueue" },
	{ 0x71b51624, "sk_filter_trim_cap" },
	{ 0xcde5b36f, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x4a870488, "___pskb_trim" },
	{ 0x1c5fc47a, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ab05b7c, "skb_copy_ubufs" },
	{ 0xbfa3ed44, "_copy_from_iter" },
	{ 0x7bf16a08, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4dac6501, "sock_alloc_send_pskb" },
	{ 0x442d1c29, "zerocopy_sg_from_iter" },
	{ 0x1081be60, "skb_partial_csum_set" },
	{ 0xe3c032ef, "eth_type_trans" },
	{ 0x9cff3ce4, "netif_receive_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcc758288, "skb_copy_datagram_from_iter" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xf6612f6c, "__skb_flow_dissect" },
	{ 0x6f359100, "napi_get_frags" },
	{ 0x4cd0bf28, "iov_iter_single_seg_count" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x55cff9d2, "do_xdp_generic" },
	{ 0x3ceb60a6, "__pskb_pull_tail" },
	{ 0x33863416, "iov_iter_revert" },
	{ 0x51bc3c20, "skb_push" },
	{ 0x2ec5bff7, "eth_get_headlen" },
	{ 0x4cdeffb4, "napi_schedule_prep" },
	{ 0x345c6dce, "napi_gro_frags" },
	{ 0x349b7668, "pskb_expand_head" },
	{ 0x36072d0b, "__napi_schedule" },
	{ 0xedeecf73, "__page_frag_cache_drain" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xf8721793, "ns_capable" },
	{ 0xf9a2f188, "get_net_ns" },
	{ 0x1c8bd5db, "open_related_ns" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe5da501e, "__dev_get_by_name" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x2e473c9, "netif_tx_wake_queue" },
	{ 0xb4b59620, "dev_set_mac_address_user" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x6e60ade8, "alloc_netdev_mqs" },
	{ 0xbbb0c053, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9f659acc, "dev_addr_mod" },
	{ 0x2b022b3f, "register_netdevice" },
	{ 0xc2305da5, "netdev_update_features" },
	{ 0x6b6306cc, "make_kgid" },
	{ 0xec09a3bc, "make_kuid" },
	{ 0xa97c0475, "init_user_ns" },
	{ 0x53d16fe8, "from_kuid" },
	{ 0xebea44fc, "dev_get_mac_address" },
	{ 0x965d536f, "ip_tunnel_header_ops" },
	{ 0x124a70ee, "call_netdevice_notifiers" },
	{ 0x14de194a, "__module_get" },
	{ 0xd135702d, "free_netdev" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xeec5735e, "from_kgid" },
	{ 0x8f7c22f8, "ethtool_op_get_link" },
	{ 0xee738794, "ethtool_op_get_ts_info" },
	{ 0x1dfd9ac0, "passthru_features_check" },
	{ 0x1d70da9, "eth_mac_addr" },
	{ 0xc65a5894, "eth_validate_addr" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B7449EB4C589465947C1A7F");

MODULE_INFO(suserelease, "SLE15-SP6");
