#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51bc3c20, "skb_push" },
	{ 0x349b7668, "pskb_expand_head" },
	{ 0x9618a599, "dev_kfree_skb_any_reason" },
	{ 0x3ceb60a6, "__pskb_pull_tail" },
	{ 0x924f411b, "skb_trim" },
	{ 0x36e3f4f8, "__netdev_alloc_skb" },
	{ 0x7bba8f14, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5abe6c7f, "usbnet_skb_return" },
	{ 0x8e4d4b62, "skb_pull" },
	{ 0x566f4c8c, "mii_ethtool_set_link_ksettings" },
	{ 0xc89a9779, "mii_ethtool_get_link_ksettings" },
	{ 0x150cb096, "generic_mii_ioctl" },
	{ 0xb50c421b, "usb_register_driver" },
	{ 0x3975320b, "usbnet_disconnect" },
	{ 0x9e32b3f2, "usb_deregister" },
	{ 0xf45165a2, "usbnet_read_cmd_nopm" },
	{ 0xdc176e9a, "usbnet_read_cmd" },
	{ 0xc558d333, "netdev_warn" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x931161ba, "usbnet_write_cmd_nopm" },
	{ 0xa43b35c0, "usbnet_write_cmd" },
	{ 0x9f659acc, "dev_addr_mod" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9767ba4, "usbnet_update_max_qlen" },
	{ 0x987bb5d6, "usbnet_suspend" },
	{ 0x3e0762b6, "usbnet_link_change" },
	{ 0x137d5889, "netdev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3359eab5, "__dynamic_netdev_dbg" },
	{ 0x35d41ac4, "netdev_err" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x10bcd51, "usbnet_write_cmd_async" },
	{ 0xed2d3b45, "eth_platform_get_mac_address" },
	{ 0x7fba7b11, "mii_nway_restart" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9658608e, "usbnet_get_endpoints" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x86d65471, "netif_set_tso_max_size" },
	{ 0xb5b06edd, "usbnet_resume" },
	{ 0x55fd9f34, "mii_ethtool_gset" },
	{ 0x714a3a8f, "netif_carrier_on" },
	{ 0x409f8de8, "usbnet_open" },
	{ 0x111651ee, "usbnet_stop" },
	{ 0xca92eaac, "usbnet_start_xmit" },
	{ 0xc65a5894, "eth_validate_addr" },
	{ 0xf649586e, "usbnet_tx_timeout" },
	{ 0x954412b3, "dev_get_tstats64" },
	{ 0x6cf294a8, "usbnet_get_msglevel" },
	{ 0xd57e98d8, "usbnet_set_msglevel" },
	{ 0xb5b308a2, "usbnet_nway_reset" },
	{ 0x8f7c22f8, "ethtool_op_get_link" },
	{ 0xee738794, "ethtool_op_get_ts_info" },
	{ 0xe0df0375, "usbnet_probe" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "27FBDDB0E5DCFD79B7066BD");

MODULE_INFO(suserelease, "SLE15-SP6");
