#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x90f73e70, "");
SYMBOL_CRC(rtw_dump_reg, 0xde709495, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0xb6eaa6b7, "");
SYMBOL_CRC(rtw_chip_info_setup, 0xc7cebe73, "");
SYMBOL_CRC(rtw_core_init, 0xfdf9564b, "");
SYMBOL_CRC(rtw_core_deinit, 0x4dd14004, "");
SYMBOL_CRC(rtw_register_hw, 0xfbddec50, "");
SYMBOL_CRC(rtw_unregister_hw, 0x0a75dd34, "");
SYMBOL_CRC(rtw_ops, 0x4e613126, "");
SYMBOL_CRC(check_hw_ready, 0x802b1f53, "");
SYMBOL_CRC(rtw_restore_reg, 0x01c60b49, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x634817de, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x9123c5ce, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x6abbbd43, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0xd164e1d9, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x1747f00b, "");
SYMBOL_CRC(rtw_rx_stats, 0x0401f287, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x61167593, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x6450f242, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x63c85b4a, "");
SYMBOL_CRC(rtw_phy_init, 0xedaa7800, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x4c668bb0, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x1a04e401, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xba4ce1a2, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0xfadf6805, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x6c6cc190, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0x9866f208, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x7595753b, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x83daba05, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xa06e7e51, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x7370559f, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0xcb05ea4f, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0xa13e3e3c, "");
SYMBOL_CRC(rtw_phy_load_tables, 0xc0c82dae, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x2d397510, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x50e2caaf, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x83ed266a, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xa166262f, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x5d732b5c, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x115c78e8, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x9a90d409, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x7954fc85, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x8a03c31b, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x7e2e5146, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x2d8e01e9, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x1ee15398, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xf11af993, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x172eea64, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0xdaa43f9a, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x2ded60a3, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0xbf91a9a6, "");
SYMBOL_CRC(rtw_power_mode_change, 0xd3dbd52d, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x54d8651c, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xfe01aa37, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0xb43d4989, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xc7bb868a, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xec7e8eb6, "");
SYMBOL_CRC(rtw_bf_phy_init, 0xcb9d91f0, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x87fefbf5, "");
SYMBOL_CRC(rtw_regd_get, 0x5d513ed8, "");
SYMBOL_CRC(rtw_regd_srrc, 0x77b8e74c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac87f262, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x70302c08, "ieee80211_connection_loss" },
	{ 0x81d8ae7b, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1c6c1672, "ieee80211_txq_get_depth" },
	{ 0x4e0588d, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7bba8f14, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8c47bc7e, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xd95967bc, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcaf4cea1, "ieee80211_probereq_get" },
	{ 0x895afaed, "ieee80211_iterate_stations_atomic" },
	{ 0xfc7b0744, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x822489ea, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x45ab265b, "ieee80211_nullfunc_get" },
	{ 0x3f39ed08, "ieee80211_pspoll_get" },
	{ 0xc43b49aa, "ieee80211_register_hw" },
	{ 0x8d0bb634, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe1c9324e, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x33bd2ecb, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xecef1e21, "ieee80211_find_sta" },
	{ 0xe2bc39e3, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb8c1139e, "ieee80211_tx_status_irqsafe" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9f37b1b1, "__alloc_skb" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0x59c91019, "skb_queue_tail" },
	{ 0x6ea32cf5, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x7da919dd, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xba19d844, "ieee80211_queue_delayed_work" },
	{ 0x5c747909, "ieee80211_proberesp_get" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x84a42d4b, "request_firmware_nowait" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x476c1f78, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4deb7599, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x51bc3c20, "skb_push" },
	{ 0xa520e78d, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xad992b3, "ieee80211_iter_keys_rcu" },
	{ 0x836780bc, "ieee80211_free_txskb" },
	{ 0x5ed9ec06, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x749b47ba, "ieee80211_tx_dequeue" },
	{ 0xdcb764ad, "memset" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0xf86b994f, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x713e541c, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x36e3f4f8, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2be17ba2, "ieee80211_stop_queues" },
	{ 0x6d63ea61, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xdeaeb5cd, "ieee80211_scan_completed" },
	{ 0xfbb54a9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7092bead, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7486a753, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbea5696d, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47c217d2, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa1a7a448, "ieee80211_cqm_rssi_notify" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2a947598, "ieee80211_request_smps" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x7bda2d64, "ieee80211_queue_work" },
	{ 0x9618a599, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x1eabc939, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "36226A5076457767685FF7E");

MODULE_INFO(suserelease, "SLE15-SP6");
