#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe78be258, "__platform_driver_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6578e20f, "spi_controller_suspend" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf92effda, "pinctrl_pm_select_sleep_state" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xc08a7bd1, "regmap_read" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x67190b96, "regmap_write" },
	{ 0xa6257a2f, "complete" },
	{ 0x1db53a3b, "spi_take_timestamp_pre" },
	{ 0x13b8ae9e, "spi_take_timestamp_post" },
	{ 0x37a0cba, "kfree" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa8048cff, "gpiod_direction_output" },
	{ 0x4e1d70bb, "gpiod_set_value_cansleep" },
	{ 0x99e189d5, "of_property_read_variable_u32_array" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x9a89713d, "platform_driver_unregister" },
	{ 0x568fab2e, "dma_free_attrs" },
	{ 0xc6f2b9e6, "dma_release_channel" },
	{ 0x73f9dce5, "spi_unregister_controller" },
	{ 0x3c278039, "regmap_update_bits_base" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x935c0716, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3931acd0, "spi_controller_resume" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5601af66, "devm_kmalloc" },
	{ 0x516b855f, "__spi_alloc_controller" },
	{ 0x10dc6046, "devm_platform_get_and_ioremap_resource" },
	{ 0xac6a353c, "__devm_regmap_init_mmio_clk" },
	{ 0x8426a91a, "devm_clk_get" },
	{ 0xdfd9699, "platform_get_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf4204887, "spi_register_controller" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x97552fcf, "put_device" },
	{ 0x117eabf0, "of_find_property" },
	{ 0x2dcdef8f, "of_device_get_match_data" },
	{ 0x627c4ca0, "of_device_is_big_endian" },
	{ 0x663f3486, "dma_request_chan" },
	{ 0xf23ccf1b, "dma_alloc_attrs" },
	{ 0x89ecab39, "devm_kfree" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x829f9253, "spi_delay_exec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x20de2ba0, "spi_finalize_current_message" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cfsl,vf610-dspi");
MODULE_ALIAS("of:N*T*Cfsl,vf610-dspiC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1021a-v1.0-dspi");
MODULE_ALIAS("of:N*T*Cfsl,ls1021a-v1.0-dspiC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1012a-dspi");
MODULE_ALIAS("of:N*T*Cfsl,ls1012a-dspiC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1028a-dspi");
MODULE_ALIAS("of:N*T*Cfsl,ls1028a-dspiC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1043a-dspi");
MODULE_ALIAS("of:N*T*Cfsl,ls1043a-dspiC*");
MODULE_ALIAS("of:N*T*Cfsl,ls1046a-dspi");
MODULE_ALIAS("of:N*T*Cfsl,ls1046a-dspiC*");
MODULE_ALIAS("of:N*T*Cfsl,ls2080a-dspi");
MODULE_ALIAS("of:N*T*Cfsl,ls2080a-dspiC*");
MODULE_ALIAS("of:N*T*Cfsl,ls2085a-dspi");
MODULE_ALIAS("of:N*T*Cfsl,ls2085a-dspiC*");
MODULE_ALIAS("of:N*T*Cfsl,lx2160a-dspi");
MODULE_ALIAS("of:N*T*Cfsl,lx2160a-dspiC*");

MODULE_INFO(srcversion, "E141C6515FB1FFAFCF791BA");

MODULE_INFO(suserelease, "SLE15-SP6");
