#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ohci_hub_status_data, 0xbbc86db8, "_gpl");
SYMBOL_CRC(ohci_hub_control, 0xc543c09d, "_gpl");
SYMBOL_CRC(ohci_setup, 0xefd19e0b, "_gpl");
SYMBOL_CRC(ohci_restart, 0x7d0b7472, "_gpl");
SYMBOL_CRC(ohci_suspend, 0x14c349ef, "_gpl");
SYMBOL_CRC(ohci_resume, 0x43e09228, "_gpl");
SYMBOL_CRC(ohci_init_driver, 0xcaa63a25, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb764ad, "memset" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x837efb1, "usb_hcd_unlink_urb_from_ep" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6f3de444, "usb_hcd_giveback_urb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1a09c3da, "sb800_prefetch" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x96848186, "scnprintf" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x3d210724, "gen_pool_dma_zalloc_align" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x1286b05, "usb_debug_root" },
	{ 0xa32962a9, "debugfs_create_dir" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x94b8ecea, "debugfs_remove" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8f81eba7, "usb_hcd_link_urb_to_ep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0x33862fa1, "usb_hcd_check_unlink_urb" },
	{ 0xcecf36e8, "usb_hc_died" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x568fab2e, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x6de87629, "debugfs_create_file" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf23ccf1b, "dma_alloc_attrs" },
	{ 0x92f27617, "dma_pool_create" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x804a2e60, "device_set_wakeup_capable" },
	{ 0x36e5fe76, "usb_root_hub_lost_power" },
	{ 0x6f43eb20, "usb_hcd_resume_root_hub" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8fb8f9c3, "usb_hcd_poll_rh_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc4fcbe0f, "default_llseek" },
	{ 0x7092bead, "param_ops_bool" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "647FFD20EF52AF380501A03");

MODULE_INFO(suserelease, "SLE15-SP6");
