#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd49c75d9, "try_module_get" },
	{ 0xcff8e023, "flush_dcache_page" },
	{ 0x2c4401f3, "xprt_write_space" },
	{ 0xc835fb5c, "bpf_trace_run4" },
	{ 0x69ad4e2, "xprt_free_slot" },
	{ 0x9cd91791, "register_sysctl" },
	{ 0x1bca7123, "rdma_rw_ctx_destroy" },
	{ 0x787795ba, "xprt_release_rqst_cong" },
	{ 0xcf1be14d, "rdma_rw_mr_factor" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x125e80, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c3db47c, "trace_raw_output_prep" },
	{ 0xd98f93e2, "xprt_disconnect_done" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xdbad00f3, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x57e66adb, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x83bb32ef, "dma_unmap_page_attrs" },
	{ 0x2aa5d9b7, "trace_event_printf" },
	{ 0x88edde40, "rdma_resolve_addr" },
	{ 0xbf0349e, "dma_sync_single_for_device" },
	{ 0xe1766aa8, "xprt_reserve_xprt_cong" },
	{ 0xa8d1dda2, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f16d613, "xprt_get" },
	{ 0xb4b68353, "__put_devmap_managed_page_refs" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xfcdfd032, "xprt_wait_for_buffer_space" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x665adec1, "ib_dereg_mr_user" },
	{ 0xd18c98a3, "bpf_trace_run2" },
	{ 0xa733c09c, "xprt_wake_up_backlog" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x14de194a, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x87ed3d69, "xprt_complete_rqst" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x521c2746, "rdma_disconnect" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x81794299, "xprt_put" },
	{ 0x4a7e170, "dev_driver_string" },
	{ 0xa27ddaa6, "trace_event_buffer_commit" },
	{ 0xa6611a16, "ib_drain_sq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xb7da463f, "dma_map_page_attrs" },
	{ 0xfc35a563, "xprt_lock_connect" },
	{ 0xcf90f982, "rdma_lock_handler" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x3a81273a, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd691c6a9, "unregister_sysctl_table" },
	{ 0x82942a6, "xprt_alloc_slot" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f39fedc, "kmalloc_node_trace" },
	{ 0x3fb4402f, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0xd6144450, "module_put" },
	{ 0x9ae02874, "rdma_bind_addr" },
	{ 0xc4f74c78, "svc_xprt_put" },
	{ 0x762b94bb, "rdma_create_qp" },
	{ 0x973b5c85, "xprt_pin_rqst" },
	{ 0x13eaefa4, "ib_map_mr_sg" },
	{ 0x6f04c73a, "rdma_rw_ctx_wrs" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc5326ff, "perf_trace_run_bpf_submit" },
	{ 0xf5007d16, "__ib_alloc_cq_any" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xb0192ad9, "svc_xprt_deferred_close" },
	{ 0x3ce19607, "bpf_trace_run5" },
	{ 0xb00224ae, "xprt_release_xprt_cong" },
	{ 0x9a9cb1a4, "svc_xprt_copy_addrs" },
	{ 0x4ff7d791, "xdr_init_decode" },
	{ 0xa6911529, "svc_xprt_received" },
	{ 0x9d288cc5, "rdma_set_afonly" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4770dd29, "trace_event_reg" },
	{ 0xf8661f1c, "rdma_unlock_handler" },
	{ 0x2d8ec82c, "xprt_unregister_transport" },
	{ 0x821242d7, "rdma_listen" },
	{ 0x6ac6af0f, "rdma_destroy_qp" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x19577219, "bpf_trace_run1" },
	{ 0x304a60dc, "ib_destroy_qp_user" },
	{ 0xe0906a38, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x893dd00e, "svc_xprt_init" },
	{ 0x74874fcf, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x2e3cbf83, "ib_drain_rq" },
	{ 0xfac3cc07, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4372b40b, "svc_unreg_xprt_class" },
	{ 0xa1040440, "rdma_connect" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3c951c6a, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa13a3f8a, "bpf_trace_run3" },
	{ 0x71ce6d9c, "xprt_wake_pending_tasks" },
	{ 0xf4e01742, "xprt_unpin_rqst" },
	{ 0x8cad8c28, "rpcb_getport_async" },
	{ 0x88c6a61d, "xprt_add_backlog" },
	{ 0x62a6803c, "xprt_alloc" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x6eeff8c7, "ib_dma_virt_map_sg" },
	{ 0xe9918313, "trace_event_buffer_reserve" },
	{ 0x4775ea93, "xprt_request_get_cong" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xb23b8101, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xb22b3d50, "rdma_destroy_id" },
	{ 0x9f93367, "xprt_free" },
	{ 0x5279312, "xprt_force_disconnect" },
	{ 0x2991aa92, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa2085cce, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b46e969, "seq_printf" },
	{ 0x210e2f5a, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5da754c8, "xprt_unlock_connect" },
	{ 0x9cedb89f, "xprt_register_transport" },
	{ 0x7f3cbedf, "svc_reg_xprt_class" },
	{ 0x78aabeee, "svc_xprt_enqueue" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x990f1501, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x385424a5, "ib_drain_qp" },
	{ 0xaa7fc719, "ib_dealloc_pd_user" },
	{ 0x55283879, "dma_unmap_sg_attrs" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x69e7e537, "svc_xprt_close" },
	{ 0xd4b99b7, "xprt_wait_for_reply_request_def" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x81db2d98, "xdr_init_encode" },
	{ 0x8f5559f1, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x578672dd, "xprt_lookup_rqst" },
	{ 0xc81e9b24, "xprt_reconnect_delay" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x6f30b8ff, "xprt_reconnect_backoff" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xcd85aa61, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x41d6fb91, "rdma_rw_ctx_init" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,ib_core,rdma_cm");


MODULE_INFO(srcversion, "5A0066920F9378E0E91B825");

MODULE_INFO(suserelease, "SLE15-SP6");
