#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xdc29ab7d, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xf1fcaa46, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x04d88935, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x716f0303, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x87aabcc0, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x5ecaf895, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x3f7c9ece, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x004bfc27, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x605274c3, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x3fb04ccd, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xc2ef5e9f, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x7f5b1a49, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xd1a9e46c, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xd8f55482, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x2ea08fb3, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x38b8d5b6, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x3422cc11, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xc0f62404, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x68da0da1, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xe1314429, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x8556b3ff, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x7d07d422, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x3cccfb78, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x07ce04ad, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x3c59b638, "sock_map_close" },
	{ 0xb2ea2c6b, "sock_queue_rcv_skb_reason" },
	{ 0xd49c75d9, "try_module_get" },
	{ 0xb1e23ad, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8c47bc7e, "consume_skb" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x14de194a, "__module_get" },
	{ 0xcb834783, "sk_stream_error" },
	{ 0xc83b3453, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf496101a, "ns_capable_noaudit" },
	{ 0x36e26217, "__put_cred" },
	{ 0x3e496616, "sk_error_report" },
	{ 0x33bd2ecb, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x8fd74f07, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x46fa1ba, "sock_register" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf7baf346, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd6144450, "module_put" },
	{ 0x6cf99a6d, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7400c2a5, "sk_free" },
	{ 0x4deb7599, "kfree_skb_reason" },
	{ 0x6d6f9e45, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0e3432, "sock_no_listen" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x36b25f7c, "sock_recv_errqueue" },
	{ 0x4e1eb146, "lock_sock_nested" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd000a23, "sk_alloc" },
	{ 0x2cd2c2e6, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x274885a6, "misc_register" },
	{ 0xc6a93f18, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x551725a5, "nonseekable_open" },
	{ 0x734bfbee, "sk_psock_drop" },
	{ 0xab957b28, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa97c0475, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x84d85336, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaf0f3e51, "sock_no_ioctl" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x91887da2, "sock_setsockopt" },
	{ 0x2a0fc84f, "sock_init_data" },
	{ 0xcd94d0b7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A4235505AA5267AAB2F0AB");

MODULE_INFO(suserelease, "SLE15-SP6");
