#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd49c75d9, "try_module_get" },
	{ 0x5601af66, "devm_kmalloc" },
	{ 0xc5d66475, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe2334d8a, "pci_iomap" },
	{ 0xd3d20116, "pci_alloc_irq_vectors" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x83bb32ef, "dma_unmap_page_attrs" },
	{ 0xcc7431b4, "__pci_register_driver" },
	{ 0x12c7c4e8, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc737d3a8, "crypto_register_aeads" },
	{ 0xf5288dae, "pci_irq_vector" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0x42e663ad, "pci_unregister_driver" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4a7e170, "dev_driver_string" },
	{ 0xa93a2e9a, "crypto_unregister_aeads" },
	{ 0x470baa0e, "crypto_destroy_tfm" },
	{ 0xb7da463f, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xd6144450, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xd1c3fffb, "__irq_apply_affinity_hint" },
	{ 0x54120e5e, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf23ccf1b, "dma_alloc_attrs" },
	{ 0x536982be, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf60938ea, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x81cdf1bc, "sysfs_create_group" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xe8d374ce, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1b359d84, "dma_set_coherent_mask" },
	{ 0xdc295aba, "sysfs_remove_group" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x568fab2e, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x44fb397c, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x62992d08, "pci_disable_device" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd782288e, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xea46f15c, "crypto_unregister_skciphers" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xfe0cf441, "crypto_alloc_shash" },
	{ 0xe1fa9486, "pci_free_irq_vectors" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "authenc");

MODULE_ALIAS("pci:v0000177Dd0000A041sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8F289FF62CDE0EDFE495A3A");

MODULE_INFO(suserelease, "SLE15-SP6");
