#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x9b8e6197, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x17c18a3d, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xa54c9d85, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x9aaf377a, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x3ce8755d, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x9914779c, "");
SYMBOL_CRC(dfl_driver_unregister, 0xeab365dd, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x6413461e, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xc42e8043, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x3398d7a4, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xa17d5630, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x9aa14587, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x8c08a725, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x8350e78b, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x94252089, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0xc2118502, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xdf20d6c2, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x8ac6d1ce, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x838ba4b5, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0xa5e64646, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xba93df7d, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xf13da991, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x17a92b01, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x8193560b, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xc0df3f7b, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x4134c83b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd49c75d9, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd6144450, "module_put" },
	{ 0x68730c2, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xef637f26, "driver_unregister" },
	{ 0xd640b258, "device_unregister" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3ee497e5, "cdev_init" },
	{ 0xf0604d06, "cdev_add" },
	{ 0x242f7dcd, "cdev_del" },
	{ 0xe214cd20, "get_device" },
	{ 0x5601af66, "devm_kmalloc" },
	{ 0x97552fcf, "put_device" },
	{ 0x89ecab39, "devm_kfree" },
	{ 0x8c0f5d70, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x583a6d89, "__devm_request_region" },
	{ 0x9cf17eff, "devm_ioremap" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x52214a11, "devm_iounmap" },
	{ 0x2943caa5, "__devm_release_region" },
	{ 0xdabdf063, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xcd1e785, "platform_device_del" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x79d40295, "bus_unregister" },
	{ 0xf477de1c, "platform_device_unregister" },
	{ 0x773f94fa, "platform_device_put" },
	{ 0xa9c09011, "device_for_each_child" },
	{ 0x8af67a6c, "fpga_region_unregister" },
	{ 0x4b2f8163, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4af6aabe, "device_initialize" },
	{ 0x222875c7, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x536917ff, "device_add" },
	{ 0x1fbc44ec, "devm_platform_ioremap_resource" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x26fd4c39, "devm_ioremap_resource" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0xa7355dfd, "__fpga_region_register" },
	{ 0x12e54eda, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "0B43E7A1474D7B7525842F8");

MODULE_INFO(suserelease, "SLE15-SP6");
