#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_clt_get_permit, 0x47ac6b88, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x7bdcb82d, "");
SYMBOL_CRC(rtrs_clt_open, 0xd64bcb4b, "");
SYMBOL_CRC(rtrs_clt_close, 0x809c943c, "");
SYMBOL_CRC(rtrs_clt_request, 0xc72548a6, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x970f09ab, "");
SYMBOL_CRC(rtrs_clt_query, 0x27d6d392, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfeecfe62, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x222875c7, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c3db47c, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd640b258, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x57e66adb, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2aa5d9b7, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x88edde40, "rdma_resolve_addr" },
	{ 0xbf0349e, "dma_sync_single_for_device" },
	{ 0x4af6aabe, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa8d1dda2, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a66115b, "rtrs_post_recv_empty" },
	{ 0x665adec1, "ib_dereg_mr_user" },
	{ 0xa51de6cf, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x628851d, "rtrs_iu_post_rdma_write_imm" },
	{ 0xe2f08530, "rtrs_iu_post_send" },
	{ 0xe2964344, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x521c2746, "rdma_disconnect" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa27ddaa6, "trace_event_buffer_commit" },
	{ 0x87da504, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x903bbb52, "rtrs_ib_dev_find_or_add" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x3a81273a, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x97552fcf, "put_device" },
	{ 0xac3269e3, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x3fb4402f, "rdma_resolve_route" },
	{ 0x1961766e, "rtrs_iu_free" },
	{ 0x13eaefa4, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xc5326ff, "perf_trace_run_bpf_submit" },
	{ 0x5ac58a06, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x536917ff, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe77cbf8a, "kobj_sysfs_ops" },
	{ 0x737d6c52, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4770dd29, "trace_event_reg" },
	{ 0x7ee90062, "iov_iter_kvec" },
	{ 0x9fcb9621, "rtrs_iu_post_recv" },
	{ 0x466a9e5, "kobject_init_and_add" },
	{ 0x2e0b2355, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x81cdf1bc, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6686a484, "sysfs_remove_file_self" },
	{ 0x19577219, "bpf_trace_run1" },
	{ 0x3a3593b9, "device_del" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xe0906a38, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x74874fcf, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x167cfeec, "rdma_connect_locked" },
	{ 0x1e625034, "rdma_set_reuseaddr" },
	{ 0xda7cd8f8, "kobject_create_and_add" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdc295aba, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6eeff8c7, "ib_dma_virt_map_sg" },
	{ 0x7780673d, "kobject_del" },
	{ 0xe9918313, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb22b3d50, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4050c57c, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5523eb83, "kobject_uevent" },
	{ 0xbfa3ed44, "_copy_from_iter" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x385424a5, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x55283879, "dma_unmap_sg_attrs" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x1883e25, "rtrs_cq_qp_create" },
	{ 0x9ee41c61, "rtrs_ib_dev_put" },
	{ 0x98cf60b3, "strlen" },
	{ 0xeb6a5284, "rtrs_init_hb" },
	{ 0xdcc44c9a, "rdma_consumer_reject_data" },
	{ 0xbf16190b, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x9ef5e375, "rtrs_send_hb_ack" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfd7d548f, "rtrs_iu_alloc" },
	{ 0xab2f3488, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xcd85aa61, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x860c4ae4, "kobject_put" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "62026CC17925DB963E80A4B");

MODULE_INFO(suserelease, "SLE15-SP6");
