#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mccic_irq, 0x061cf80a, "_gpl");
SYMBOL_CRC(mccic_register, 0xdeeb3eb5, "_gpl");
SYMBOL_CRC(mccic_shutdown, 0xdad532f8, "_gpl");
SYMBOL_CRC(mccic_suspend, 0x0a690d4b, "_gpl");
SYMBOL_CRC(mccic_resume, 0xe9fc795e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xea9e801d, "video_unregister_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0x54120e5e, "_dev_err" },
	{ 0xcd879a79, "v4l2_ctrl_handler_init_class" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x64b4bdf3, "video_devdata" },
	{ 0x89e32a9d, "v4l2_subdev_call_wrappers" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x55324856, "v4l2_s_parm_cap" },
	{ 0x8657af49, "v4l2_g_parm_cap" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x568fab2e, "dma_free_attrs" },
	{ 0x30e0719a, "v4l2_fh_is_singular" },
	{ 0x5f88022d, "_vb2_fop_release" },
	{ 0xa28f3c7d, "__pm_runtime_idle" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9732934b, "vb2_buffer_done" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x696f7ff7, "vb2_plane_cookie" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf23ccf1b, "dma_alloc_attrs" },
	{ 0x3dbaa04c, "v4l2_ctrl_handler_free" },
	{ 0x44ac0679, "v4l2_async_nf_unregister" },
	{ 0xc0d9e31b, "v4l2_device_unregister" },
	{ 0x165d08a0, "v4l2_async_nf_cleanup" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0x66bda78e, "v4l2_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaa741396, "v4l2_async_nf_register" },
	{ 0xd8bfa2a9, "of_property_read_string" },
	{ 0xba6af55e, "devm_clk_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xdcb764ad, "memset" },
	{ 0x6099e4c, "vb2_dma_sg_memops" },
	{ 0x3c89581d, "vb2_queue_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6b17e18, "vb2_vmalloc_memops" },
	{ 0x5853d4db, "video_device_release_empty" },
	{ 0xfe0f0f1c, "__video_register_device" },
	{ 0x244d5778, "vb2_dma_contig_memops" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcb7f4229, "vb2_plane_vaddr" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe5885e2, "v4l2_fh_open" },
	{ 0xaed3e443, "v4l2_fh_release" },
	{ 0x68f7144d, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x815588a6, "clk_enable" },
	{ 0x22cef4c4, "v4l2_s_ctrl" },
	{ 0x7e585a9d, "vb2_ops_wait_prepare" },
	{ 0x8610c06a, "vb2_ops_wait_finish" },
	{ 0x888bbf5c, "vb2_fop_read" },
	{ 0x23c92982, "vb2_fop_poll" },
	{ 0x217c64d7, "video_ioctl2" },
	{ 0x23251323, "vb2_fop_mmap" },
	{ 0x7ce5fb00, "vb2_ioctl_reqbufs" },
	{ 0xa25e8fc9, "vb2_ioctl_querybuf" },
	{ 0xadf781e5, "vb2_ioctl_qbuf" },
	{ 0xa5f7ba10, "vb2_ioctl_expbuf" },
	{ 0xa8f29548, "vb2_ioctl_dqbuf" },
	{ 0x73a8d4e6, "vb2_ioctl_create_bufs" },
	{ 0x2a94f8b8, "vb2_ioctl_streamon" },
	{ 0xeaa801a2, "vb2_ioctl_streamoff" },
	{ 0xc068a535, "v4l2_ctrl_subscribe_event" },
	{ 0xc22f7786, "v4l2_event_unsubscribe" },
	{ 0xf7bf7914, "param_ops_int" },
	{ 0x7092bead, "param_ops_bool" },
	{ 0x4e0588d, "param_ops_uint" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,v4l2-async,videobuf2-dma-sg,videobuf2-vmalloc,videobuf2-dma-contig");


MODULE_INFO(srcversion, "1366C34E9CF465369AD35B0");

MODULE_INFO(suserelease, "SLE15-SP6");
