#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qede_rdma_register_driver, 0x8df863e7, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0x20f49fb5, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0xa024d3bd, "alloc_etherdev_mqs" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfc82243e, "qed_get_eth_ops" },
	{ 0x2ee25e56, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5bfe9a98, "skb_copy_bits" },
	{ 0x4e0588d, "param_ops_uint" },
	{ 0xf9e40ed1, "ethtool_rx_flow_rule_destroy" },
	{ 0x7bba8f14, "skb_put" },
	{ 0x1c5fc47a, "skb_tstamp_tx" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x8c47bc7e, "consume_skb" },
	{ 0x2a62e95f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8d054d00, "bpf_warn_invalid_xdp_action" },
	{ 0xbfd36f52, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x83bb32ef, "dma_unmap_page_attrs" },
	{ 0xf7370f56, "system_state" },
	{ 0xcc7431b4, "__pci_register_driver" },
	{ 0xbf0349e, "dma_sync_single_for_device" },
	{ 0x9a3d0f38, "pci_num_vf" },
	{ 0xb0c6d158, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x278ad138, "ptp_clock_index" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x20f7f072, "xdp_do_redirect" },
	{ 0xc65a5894, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdd689fec, "udp_tunnel_nic_ops" },
	{ 0x1773e87f, "flow_rule_match_ipv4_addrs" },
	{ 0xcdf06be8, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x42e663ad, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x35d41ac4, "netdev_err" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x4a7e170, "dev_driver_string" },
	{ 0x9f659acc, "dev_addr_mod" },
	{ 0xb27388da, "xdp_rxq_info_reg_mem_model" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0xe3c032ef, "eth_type_trans" },
	{ 0xb7da463f, "dma_map_page_attrs" },
	{ 0x7e5e8917, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0x930475c0, "netif_device_detach" },
	{ 0xfc0baa38, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0xaeadc4dd, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xbb9ae704, "netdev_pick_tx" },
	{ 0xf56e50d5, "xdp_rxq_info_is_reg" },
	{ 0x21b173bc, "flow_block_cb_setup_simple" },
	{ 0x4f5f6fff, "flow_rule_match_basic" },
	{ 0x510b6521, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x13a4aa2c, "softnet_data" },
	{ 0xb0a8c25d, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x650568ec, "ptp_clock_register" },
	{ 0x14d29a71, "__traceiter_xdp_exception" },
	{ 0x5e969fcc, "netif_set_real_num_tx_queues" },
	{ 0x9169ed16, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x9e11e5f5, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf23ccf1b, "dma_alloc_attrs" },
	{ 0xe0d7247f, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0x3abd2c1a, "register_netdev" },
	{ 0xd135702d, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e473c9, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x485322d6, "flow_rule_match_ports" },
	{ 0x1a50d8db, "netif_schedule_queue" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x637c1a7d, "flow_rule_match_ipv6_addrs" },
	{ 0x6c5bfa14, "netdev_set_tc_queue" },
	{ 0x82ee9fd, "ptp_clock_unregister" },
	{ 0x3ceb60a6, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x36e3f4f8, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x111b8488, "rps_may_expire_flow" },
	{ 0x5b23a239, "netdev_reset_tc" },
	{ 0x568fab2e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb7976a73, "bpf_prog_add" },
	{ 0x2991aa92, "alloc_pages" },
	{ 0x1e235987, "xdp_rxq_info_unreg" },
	{ 0x541eb70a, "__xdp_rxq_info_reg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb24c7722, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xeb4ea5a6, "devlink_priv" },
	{ 0x2c589617, "tcp_gro_complete" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x714a3a8f, "netif_carrier_on" },
	{ 0x46fd629e, "netdev_set_num_tc" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x7f39bc3d, "xdp_master_redirect" },
	{ 0x753d6109, "__napi_schedule_irqoff" },
	{ 0x4cdeffb4, "napi_schedule_prep" },
	{ 0x48f2a58e, "napi_disable" },
	{ 0x9618a599, "dev_kfree_skb_any_reason" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x840e8caa, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B64DAC93727D73B7C1B506F");

MODULE_INFO(suserelease, "SLE15-SP6");
