#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macvlan_common_setup, 0xee3fcb43, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x19451aa2, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x4eb7bcf1, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x72970930, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbbb0c053, "ether_setup" },
	{ 0x25374ac1, "__ethtool_get_link_ksettings" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5ac58a06, "init_net" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc3cfd56f, "dev_mc_del" },
	{ 0xa5e9d7a1, "dev_uc_del" },
	{ 0x7f4fb048, "dev_mc_add_excl" },
	{ 0x8c04d80a, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xe75d3a40, "__netpoll_free" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0xe987327e, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x65d3172d, "vlan_vid_del" },
	{ 0x6d84c2c0, "vlan_vid_add" },
	{ 0x9f659acc, "dev_addr_mod" },
	{ 0xd714efb0, "dev_uc_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5f4c223, "dev_set_allmulti" },
	{ 0xbe4a36d2, "dev_set_promiscuity" },
	{ 0x4b3de2b, "dev_uc_unsync" },
	{ 0x7809179e, "dev_mc_unsync" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x555217d5, "unregister_netdevice_queue" },
	{ 0xd059dc9d, "netdev_upper_dev_unlink" },
	{ 0x64dd16c4, "rtnl_link_register" },
	{ 0xd15cb96e, "nla_put" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x38ed88b9, "dev_set_mtu" },
	{ 0x8a28209a, "netif_inherit_tso_max" },
	{ 0xc2305da5, "netdev_update_features" },
	{ 0x65aa8774, "netif_stacked_transfer_operstate" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x124a70ee, "call_netdevice_notifiers" },
	{ 0x2e0c13, "rtnl_link_unregister" },
	{ 0xb9e470e1, "dev_set_mac_address" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe2c39567, "dev_uc_sync" },
	{ 0xc2fa91bd, "dev_mc_sync" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xb938512f, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4deb7599, "kfree_skb_reason" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xac41e292, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3bfa969d, "netdev_is_rx_handler_busy" },
	{ 0x6fae1f59, "netdev_rx_handler_register" },
	{ 0x2b022b3f, "register_netdevice" },
	{ 0x12a68ac6, "netdev_upper_dev_link" },
	{ 0x9295c0ad, "linkwatch_fire_event" },
	{ 0x84d85336, "skb_clone" },
	{ 0x18d26c36, "netif_rx" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x7925395e, "__dev_forward_skb" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c47bc7e, "consume_skb" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xab957b28, "__dev_queue_xmit" },
	{ 0x4555c6ec, "netpoll_send_skb" },
	{ 0x762998e6, "dev_forward_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x8059f688, "__netif_rx" },
	{ 0xb44a0125, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5a5c13da, "netdev_core_stats_inc" },
	{ 0x1dfd9ac0, "passthru_features_check" },
	{ 0xc65a5894, "eth_validate_addr" },
	{ 0xf65d764b, "ndo_dflt_fdb_dump" },
	{ 0xc028113b, "eth_header_parse" },
	{ 0x283f1e08, "eth_header_cache" },
	{ 0x3871079, "eth_header_cache_update" },
	{ 0x8f7c22f8, "ethtool_op_get_link" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F87CD77CC7F1CA18D28BA10");

MODULE_INFO(suserelease, "SLE15-SP6");
