#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb50c421b, "usb_register_driver" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3359eab5, "__dynamic_netdev_dbg" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x97818cf0, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc558d333, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9f659acc, "dev_addr_mod" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x35d41ac4, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd95967bc, "skb_dequeue" },
	{ 0x5e315cf2, "usb_free_urb" },
	{ 0x9618a599, "dev_kfree_skb_any_reason" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc6bff5, "usb_submit_urb" },
	{ 0x930475c0, "netif_device_detach" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x9931ff69, "usb_autopm_get_interface" },
	{ 0xaf6ef85f, "usb_autopm_put_interface" },
	{ 0x6ff89c18, "mdiobus_read" },
	{ 0x9512a967, "phy_ethtool_ksettings_set" },
	{ 0xc0ddc87, "mdiobus_write" },
	{ 0x61d6011, "phy_ethtool_ksettings_get" },
	{ 0xbb28422, "phy_ethtool_set_eee" },
	{ 0xbf06889, "phy_ethtool_get_eee" },
	{ 0xac87f262, "device_set_wakeup_enable" },
	{ 0x43002e30, "phy_ethtool_set_wol" },
	{ 0x9166fada, "strncpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe3c032ef, "eth_type_trans" },
	{ 0xaeadc4dd, "napi_gro_receive" },
	{ 0x3ceb60a6, "__pskb_pull_tail" },
	{ 0x9fbd1fbb, "usb_alloc_urb" },
	{ 0x59c91019, "skb_queue_tail" },
	{ 0x9f37b1b1, "__alloc_skb" },
	{ 0x65b662a1, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x685dbb6e, "phy_print_status" },
	{ 0x59458611, "phy_read_mmd" },
	{ 0xe2665eeb, "phy_write_mmd" },
	{ 0x9e32b3f2, "usb_deregister" },
	{ 0xed2d3b45, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x137d5889, "netdev_info" },
	{ 0x26390e9a, "usb_get_urb" },
	{ 0x5484d5e5, "usb_unlink_urb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x33bd2ecb, "skb_queue_purge_reason" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7d802c27, "usb_kill_urb" },
	{ 0x882c7855, "netif_device_attach" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb24c7722, "netif_carrier_off" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5bfe9a98, "skb_copy_bits" },
	{ 0x38e6ba68, "mdiobus_unregister" },
	{ 0x5d1f68de, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xe7da28dc, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcdf06be8, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbfd36f52, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0x5b178119, "phy_disconnect" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0xd135702d, "free_netdev" },
	{ 0x7a3779b7, "usb_put_dev" },
	{ 0x6aea3d4b, "fixed_phy_unregister" },
	{ 0xc1168ffc, "phy_device_free" },
	{ 0x871099fd, "genphy_read_status" },
	{ 0x4cdeffb4, "napi_schedule_prep" },
	{ 0x36072d0b, "__napi_schedule" },
	{ 0x19b81c1f, "usb_get_dev" },
	{ 0xa024d3bd, "alloc_etherdev_mqs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x86d65471, "netif_set_tso_max_size" },
	{ 0x2a62e95f, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6ff8eef, "handle_simple_irq" },
	{ 0xf1a1627c, "irq_domain_create_simple" },
	{ 0x896c7e81, "irq_create_mapping_affinity" },
	{ 0x541887bf, "mdiobus_alloc_size" },
	{ 0x57f3c047, "of_get_child_by_name" },
	{ 0xdda70e25, "__of_mdiobus_register" },
	{ 0x5798cd0a, "of_node_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x54120e5e, "_dev_err" },
	{ 0xaada863c, "phy_find_first" },
	{ 0xcef04b56, "phy_connect_direct" },
	{ 0x71d47ac6, "phy_remove_link_mode" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8f5502bc, "of_property_count_elems_of_size" },
	{ 0x4213326a, "__genphy_config_aneg" },
	{ 0x3abd2c1a, "register_netdev" },
	{ 0x6de5b3d9, "pm_runtime_set_autosuspend_delay" },
	{ 0xad7ee279, "phy_register_fixup_for_uid" },
	{ 0xa07a464e, "fixed_phy_register" },
	{ 0x7bba8f14, "skb_put" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa544f166, "usb_get_from_anchor" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe1b8fce3, "phy_start" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x48f2a58e, "napi_disable" },
	{ 0x2226a0ad, "phy_stop" },
	{ 0xe0d7247f, "napi_enable" },
	{ 0x1c5fc47a, "skb_tstamp_tx" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf30dec73, "usb_clear_halt" },
	{ 0x2e473c9, "netif_tx_wake_queue" },
	{ 0xd267acd3, "usb_autopm_put_interface_async" },
	{ 0x6d63ea61, "skb_unlink" },
	{ 0xd826ee42, "netif_tx_lock" },
	{ 0xab00a28c, "netif_tx_unlock" },
	{ 0x1ec12a5, "usb_autopm_get_interface_async" },
	{ 0x8e4d4b62, "skb_pull" },
	{ 0x63e6d50f, "__napi_alloc_skb" },
	{ 0x7e5e8917, "napi_complete_done" },
	{ 0x711c1e31, "usb_anchor_urb" },
	{ 0xc65a5894, "eth_validate_addr" },
	{ 0xe27da167, "phy_do_ioctl_running" },
	{ 0xa21d391e, "phy_ethtool_nway_reset" },
	{ 0xee738794, "ethtool_op_get_ts_info" },
	{ 0xf7bf7914, "param_ops_int" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "2DB69CC928A3375B8F94D72");

MODULE_INFO(suserelease, "SLE15-SP6");
