#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_register_localport, 0xb63eb253, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1226df38, "nvme_remove_admin_tag_set" },
	{ 0x9438ade5, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xad81c2ae, "nvme_uninit_ctrl" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x57a8feb9, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x50a5094b, "nvmf_free_options" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x5c1da982, "nvmf_subsystem_reset" },
	{ 0xd01b321d, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xecdc0d6c, "nvme_stop_keep_alive" },
	{ 0x3af6de23, "blk_mq_complete_request_remote" },
	{ 0x83bb32ef, "dma_unmap_page_attrs" },
	{ 0xda84588, "nvme_setup_cmd" },
	{ 0xb1249805, "nvme_start_ctrl" },
	{ 0xbf0349e, "dma_sync_single_for_device" },
	{ 0x6ac8b551, "nvme_alloc_admin_tag_set" },
	{ 0x9f1febfd, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x7eff2d5, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x33520ed5, "nvme_delete_ctrl" },
	{ 0xe214cd20, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9f60a7c7, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4a7e170, "dev_driver_string" },
	{ 0xff7fde1e, "nvmf_get_address" },
	{ 0xb7da463f, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x7bd67c3, "nvme_remove_io_tag_set" },
	{ 0x27054c14, "nvme_cleanup_cmd" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71c93f65, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x47e7eb85, "nvmf_unregister_transport" },
	{ 0x644d760d, "blkcg_get_fc_appid" },
	{ 0x97552fcf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb8efe4c9, "nvme_change_ctrl_state" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0x6d174374, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x5df22317, "nvme_alloc_io_tag_set" },
	{ 0x26678562, "nvme_fail_nonready_command" },
	{ 0xb80b3ae1, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x54120e5e, "_dev_err" },
	{ 0xb5d6f712, "device_create" },
	{ 0x1b045fb1, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xff564a1c, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2022a478, "nvmf_reg_read64" },
	{ 0x2e0b2355, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xd4de6e9a, "nvmf_connect_admin_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa11371f2, "nvme_enable_ctrl" },
	{ 0x9e300349, "nvme_unquiesce_admin_queue" },
	{ 0xe0906a38, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82bb8cbc, "nvme_unquiesce_io_queues" },
	{ 0xd01317f7, "blk_mq_update_nr_hw_queues" },
	{ 0x99bcee46, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e931be1, "nvmf_should_reconnect" },
	{ 0x953ed54d, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xabd94c67, "device_destroy" },
	{ 0xd5e5314a, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xdac42a3, "nvmf_register_transport" },
	{ 0x5e7721a, "blk_mq_start_request" },
	{ 0xbf8923b8, "nvme_quiesce_io_queues" },
	{ 0x9000f57, "blk_mq_tagset_busy_iter" },
	{ 0x14f738ce, "nvme_stop_ctrl" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x55283879, "dma_unmap_sg_attrs" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0xc0d410bb, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x9124995e, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xbc354506, "nvme_quiesce_admin_queue" },
	{ 0xab2f3488, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70870103, "__nvme_check_ready" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0xcd85aa61, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F79E37F701125679D94DC79");

MODULE_INFO(suserelease, "SLE15-SP6");
