#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c89581d, "vb2_queue_init" },
	{ 0xc5892801, "vchiq_mmal_port_parameter_get" },
	{ 0x217c64d7, "video_ioctl2" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xeaa801a2, "vb2_ioctl_streamoff" },
	{ 0x9a89713d, "platform_driver_unregister" },
	{ 0xd01ee2ef, "mmal_vchi_buffer_cleanup" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaca4dd80, "vchiq_mmal_init" },
	{ 0x8610c06a, "vb2_ops_wait_finish" },
	{ 0xcd879a79, "v4l2_ctrl_handler_init_class" },
	{ 0x680b9cc, "vchiq_mmal_submit_buffer" },
	{ 0x9285a57, "param_array_ops" },
	{ 0x6192e1a2, "vchiq_mmal_version" },
	{ 0x37a0cba, "kfree" },
	{ 0xa25e8fc9, "vb2_ioctl_querybuf" },
	{ 0x45bfc368, "vchiq_mmal_port_enable" },
	{ 0xe5885e2, "v4l2_fh_open" },
	{ 0xf2828a8, "mmal_vchi_buffer_init" },
	{ 0x6e00ca4f, "v4l2_ctrl_auto_cluster" },
	{ 0x92997ed8, "_printk" },
	{ 0x868ad5a7, "vchiq_mmal_component_disable" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x64b4bdf3, "video_devdata" },
	{ 0xf4447ac9, "vb2_fop_release" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6cf8f6d3, "vchiq_mmal_component_init" },
	{ 0xe7b57f6f, "v4l2_ctrl_new_int_menu" },
	{ 0x73577d20, "vchiq_mmal_finalise" },
	{ 0xa8f29548, "vb2_ioctl_dqbuf" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x73a8d4e6, "vb2_ioctl_create_bufs" },
	{ 0x78f45b49, "v4l2_device_set_name" },
	{ 0x1dc6ca75, "vb2_ioctl_prepare_buf" },
	{ 0x7c46867c, "vchiq_mmal_component_enable" },
	{ 0x9732934b, "vb2_buffer_done" },
	{ 0xcb7f4229, "vb2_plane_vaddr" },
	{ 0xc068a535, "v4l2_ctrl_subscribe_event" },
	{ 0xea9e801d, "video_unregister_device" },
	{ 0x8b10c294, "vchiq_mmal_port_connect_tunnel" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xadf781e5, "vb2_ioctl_qbuf" },
	{ 0x23251323, "vb2_fop_mmap" },
	{ 0x6b17e18, "vb2_vmalloc_memops" },
	{ 0xdcb764ad, "memset" },
	{ 0x3ff761ce, "vchiq_mmal_component_finalise" },
	{ 0x487fbe4b, "v4l2_ctrl_new_std_menu" },
	{ 0x888bbf5c, "vb2_fop_read" },
	{ 0x66bda78e, "v4l2_device_register" },
	{ 0xe78be258, "__platform_driver_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfe0f0f1c, "__video_register_device" },
	{ 0x7e585a9d, "vb2_ops_wait_prepare" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2a94f8b8, "vb2_ioctl_streamon" },
	{ 0x23c92982, "vb2_fop_poll" },
	{ 0x51922138, "v4l2_ctrl_new_std" },
	{ 0x3dbaa04c, "v4l2_ctrl_handler_free" },
	{ 0xc0d9e31b, "v4l2_device_unregister" },
	{ 0x67c98293, "vchiq_mmal_port_parameter_set" },
	{ 0xcc6b60ac, "v4l2_ctrl_log_status" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0xf7bf7914, "param_ops_int" },
	{ 0x5853d4db, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb51ce5d4, "vchiq_mmal_port_disable" },
	{ 0xc22f7786, "v4l2_event_unsubscribe" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x98fe2407, "vchiq_mmal_port_set_format" },
	{ 0x7ce5fb00, "vb2_ioctl_reqbufs" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,bcm2835-mmal-vchiq,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C666208F6489595D983F9B2");

MODULE_INFO(suserelease, "SLE15-SP6");
