#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ufshcd_dump_regs, 0xe27595f2, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x0348951c, "");
SYMBOL_CRC(ufshcd_hold, 0xa3e6e433, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xe13dd299, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xa3891418, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xdf6957b8, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x9b1c5f62, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xcf7fb051, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x1727dc48, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xc74144a9, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x394b5e47, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xc0bcd2a1, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xcbc43b7b, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xadc7d271, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x568fe87a, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xede3af68, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x8aabd2a5, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x6fcbb209, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x6571c0d5, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xda17cae0, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xde4c5501, "");
SYMBOL_CRC(ufshcd_system_resume, 0x790398ff, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x0e7db2ea, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x28f2841a, "");
SYMBOL_CRC(ufshcd_shutdown, 0x4baf5182, "");
SYMBOL_CRC(ufshcd_remove, 0x11893b0a, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xac5998e1, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xf576e4c7, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x9ba9b7ab, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x47794f84, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xb2bd9581, "");
SYMBOL_CRC(ufshcd_init, 0xa55a08d0, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xb86e195f, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x4342d0be, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x5c0b775e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x62160971, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_nolock, 0x489f0238, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x4c5790eb, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x70ea8a6c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf0aad77, "scsi_dma_map" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x774933be, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2bcde8a4, "regulator_enable" },
	{ 0xec830e6b, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xbe94636d, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc835fb5c, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xdf84bf6c, "devm_request_threaded_irq" },
	{ 0x4e0588d, "param_ops_uint" },
	{ 0x150e54b5, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5601af66, "devm_kmalloc" },
	{ 0x5edb2980, "bsg_setup_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x86911694, "scsi_autopm_put_device" },
	{ 0xbab58277, "scsi_device_get" },
	{ 0xf98b5128, "bio_add_pc_page" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf1b0d6a, "bsg_remove_queue" },
	{ 0x222875c7, "dev_set_name" },
	{ 0x685d38a2, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e864777, "dmam_alloc_attrs" },
	{ 0x3c3db47c, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x19cac3c6, "scsi_remove_host" },
	{ 0xa81078eb, "blk_rq_append_bio" },
	{ 0x6e4b5e2e, "param_get_bool" },
	{ 0x45d8dd10, "bpf_trace_run6" },
	{ 0x6de5b3d9, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x57e66adb, "__trace_trigger_soft_disabled" },
	{ 0x4c34eec0, "blk_pm_runtime_init" },
	{ 0x2aa5d9b7, "trace_event_printf" },
	{ 0xb7b191a7, "scsi_report_bus_reset" },
	{ 0xdf0a6dab, "sysfs_remove_groups" },
	{ 0x64024bc5, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0xfef22673, "should_fail" },
	{ 0x4af6aabe, "device_initialize" },
	{ 0x31135207, "sysfs_create_groups" },
	{ 0xfacf05a3, "dev_pm_opp_add" },
	{ 0xa8d1dda2, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1e06dd4d, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x610de74b, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd18c98a3, "bpf_trace_run2" },
	{ 0x2ed44d69, "__scsi_iterate_devices" },
	{ 0x2d874bad, "kmem_cache_create" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xe214cd20, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x8426a91a, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc5f22132, "blk_mq_alloc_tag_set" },
	{ 0xef745130, "scsi_device_set_state" },
	{ 0xb07e1aa9, "devfreq_add_device" },
	{ 0x4a7e170, "dev_driver_string" },
	{ 0xa27ddaa6, "trace_event_buffer_commit" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0xbb93f43b, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x1953c958, "mempool_create" },
	{ 0xf3a03e4c, "scsi_register_driver" },
	{ 0xac945317, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xce8a6923, "param_get_uint" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x97552fcf, "put_device" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x728503f9, "blk_mq_free_request" },
	{ 0x283ad116, "device_property_read_u32_array" },
	{ 0x1045fea8, "devm_regulator_get" },
	{ 0xfc0baa38, "__free_pages" },
	{ 0xa36ab927, "kmem_cache_alloc" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfba694ac, "scsi_device_put" },
	{ 0x4e70d183, "device_create_file" },
	{ 0xd2903593, "debugfs_attr_read" },
	{ 0xdd516488, "bio_put" },
	{ 0x953a976e, "regulator_set_load" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc5326ff, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x89ecab39, "devm_kfree" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x29390a41, "blk_queue_update_dma_alignment" },
	{ 0xcbadabed, "devfreq_remove_device" },
	{ 0x36f5564d, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2aa0843e, "mempool_resize" },
	{ 0x536917ff, "device_add" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x419c8682, "blk_execute_rq_nowait" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9d61a9ac, "simple_attr_release" },
	{ 0x5f4e81c1, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6626afca, "down" },
	{ 0x3ce19607, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1f653ae5, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x77c79586, "sdev_prefix_printk" },
	{ 0x350d3168, "kmem_cache_free" },
	{ 0x4e9f4ab5, "scsi_scan_host" },
	{ 0x5792f848, "strlcpy" },
	{ 0x94b8ecea, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4770dd29, "trace_event_reg" },
	{ 0xb9b95164, "device_link_remove" },
	{ 0x15d60a79, "param_set_bool" },
	{ 0x38174b82, "blk_mq_alloc_request" },
	{ 0xef637f26, "driver_unregister" },
	{ 0x69269fb3, "blk_queue_update_dma_pad" },
	{ 0xc89a8e3f, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbf788c2e, "blk_put_queue" },
	{ 0x3a3593b9, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xcdc09466, "dmam_free_coherent" },
	{ 0xdcb764ad, "memset" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc4fdec65, "regulator_count_voltages" },
	{ 0xa0d0561a, "scsi_is_host_device" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xc241e0af, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfa2ff74e, "blk_mq_init_queue" },
	{ 0xc7e9bf41, "blk_mq_unique_tag" },
	{ 0x1d73cd8a, "bpf_trace_run10" },
	{ 0x9deb2317, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe53a0024, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1b359d84, "dma_set_coherent_mask" },
	{ 0x1c416986, "scsi_print_command" },
	{ 0x2795d047, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa628f738, "_dev_notice" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8779c3a, "pm_runtime_forbid" },
	{ 0x6de87629, "debugfs_create_file" },
	{ 0xaeb081ba, "param_set_uint_minmax" },
	{ 0x4b0bf5b0, "pm_runtime_allow" },
	{ 0xe9918313, "trace_event_buffer_reserve" },
	{ 0x68f7144d, "__pm_runtime_resume" },
	{ 0xea3f82d8, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x248d27a9, "blk_mq_destroy_queue" },
	{ 0x4f5377c7, "scsi_execute_cmd" },
	{ 0x2991aa92, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b46e969, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb107ee9f, "devm_blk_crypto_profile_init" },
	{ 0x3806cae2, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9000f57, "blk_mq_tagset_busy_iter" },
	{ 0xae90eb0d, "scsi_done" },
	{ 0xd69f0fff, "single_release" },
	{ 0xd29eed86, "scsi_unblock_requests" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd782288e, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x248859cd, "regulator_disable" },
	{ 0x9411183a, "dev_err_probe" },
	{ 0x55283879, "dma_unmap_sg_attrs" },
	{ 0x7a1da98f, "setup_fault_attr" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x9a8a64b2, "__devm_add_action" },
	{ 0x2e1905a9, "scsi_remove_device" },
	{ 0xa114c6b9, "scsi_block_requests" },
	{ 0x6e16249, "scsi_add_host_with_dma" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe888801, "single_open" },
	{ 0xbffc53c8, "scsi_host_alloc" },
	{ 0xee6a10fc, "__scsi_add_device" },
	{ 0x596b6d2, "devfreq_resume_device" },
	{ 0xa32962a9, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe21b0588, "device_link_add" },
	{ 0xe6fec2d3, "bio_alloc_bioset" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xbd8ba08d, "scsi_change_queue_depth" },
	{ 0xa28f3c7d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x39269618, "device_remove_file" },
	{ 0xd593d64, "fs_bio_set" },
	{ 0x6f515f5a, "kmem_cache_destroy" },
	{ 0xcd85aa61, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "5C747DB485AAC673F70C613");

MODULE_INFO(suserelease, "SLE15-SP6");
