#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xhci_plat_probe, 0xc97264a0, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x29bc47a3, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x3804f6d5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x535bc175, "device_property_present" },
	{ 0x87e65bad, "usb_hcd_platform_shutdown" },
	{ 0x2a887214, "is_acpi_device_node" },
	{ 0xab235131, "of_fwnode_ops" },
	{ 0x804a2e60, "device_set_wakeup_capable" },
	{ 0xb16ef63a, "xhci_suspend" },
	{ 0x10dc6046, "devm_platform_get_and_ioremap_resource" },
	{ 0x9a89713d, "platform_driver_unregister" },
	{ 0xdfd9699, "platform_get_irq" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x946fe855, "xhci_gen_setup" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb724d29a, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x35d9bde8, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x515ac82f, "devm_reset_control_array_get" },
	{ 0xbb93f43b, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xf00ac7b4, "pm_runtime_enable" },
	{ 0x283ad116, "device_property_read_u32_array" },
	{ 0xa077c09, "of_match_device" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x7591eb6e, "platform_get_resource" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x99c1b38f, "xhci_resume" },
	{ 0x29173e79, "xhci_run" },
	{ 0xfb685b07, "usb_hcd_is_primary_hcd" },
	{ 0x6be68bf4, "xhci_init_driver" },
	{ 0xf67d18ba, "usb_put_hcd" },
	{ 0xe78be258, "__platform_driver_register" },
	{ 0x1b359d84, "dma_set_coherent_mask" },
	{ 0x78755023, "devm_clk_get_optional" },
	{ 0x8779c3a, "pm_runtime_forbid" },
	{ 0x68f7144d, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b9a89cf, "__usb_create_hcd" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xd782288e, "dma_set_mask" },
	{ 0xd93d08d3, "usb_remove_hcd" },
	{ 0x2dcdef8f, "of_device_get_match_data" },
	{ 0xb1d931a8, "__pm_runtime_disable" },
	{ 0x3dc583a0, "usb_add_hcd" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x815588a6, "clk_enable" },
	{ 0x941db397, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd,usb-common");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "86813D91FFB0426B8E4AD38");

MODULE_INFO(suserelease, "SLE15-SP6");
