#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0xd759519f, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0xb1cf5944, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0xc9cefd3c, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0xc9427e9e, "");
SYMBOL_CRC(nfc_hci_free_device, 0xd60362f8, "");
SYMBOL_CRC(nfc_hci_register_device, 0xf2b64222, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x74db7136, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xfc0be193, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0xd48cc044, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x2da794c5, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0xf5850580, "");
SYMBOL_CRC(nfc_hci_send_event, 0xeccbfb49, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x755814cd, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0x7ef2f28b, "");
SYMBOL_CRC(nfc_hci_set_param, 0x51c17d71, "");
SYMBOL_CRC(nfc_hci_get_param, 0xc2226120, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0xc7660ad9, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x46b008c1, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x5e20b73f, "");
SYMBOL_CRC(nfc_llc_start, 0xfaaa217d, "");
SYMBOL_CRC(nfc_llc_stop, 0xbfd6b184, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bba8f14, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xd95967bc, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe8910e37, "nfc_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5537cce2, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x33bd2ecb, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf2118927, "nfc_alloc_recv_skb" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x97552fcf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f37b1b1, "__alloc_skb" },
	{ 0x59c91019, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e4d4b62, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4deb7599, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x51bc3c20, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x564224cf, "skb_dequeue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x924f411b, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1ac63b80, "nfc_targets_found" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x90d7f7b5, "nfc_driver_failure" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x1a86a4ff, "nfc_register_device" },
	{ 0xc8cb69b5, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "SLE15-SP6");
