#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea61b166, "snd_soc_dapm_put_enum_double" },
	{ 0x9745044d, "regcache_cache_only" },
	{ 0x4b2d9165, "regcache_sync" },
	{ 0x67190b96, "regmap_write" },
	{ 0xdf84bf6c, "devm_request_threaded_irq" },
	{ 0x5601af66, "devm_kmalloc" },
	{ 0x940d723f, "gpiod_set_value" },
	{ 0x59c07210, "snd_soc_jack_report" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xe9ce5f17, "i2c_match_id" },
	{ 0xbb923fc5, "snd_soc_put_enum_double" },
	{ 0x8abe5817, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5c9ccd5b, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0xd6ac6e01, "snd_soc_component_write" },
	{ 0x28dbe20d, "regulator_get_voltage" },
	{ 0xa8e6c8de, "devm_snd_soc_register_component" },
	{ 0xc46d68bc, "devm_regulator_register_notifier" },
	{ 0xfcc0a9, "__devm_regmap_init_i2c" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x78c80e7a, "regulator_bulk_disable" },
	{ 0x729ef282, "snd_soc_get_enum_double" },
	{ 0x110668cc, "fwnode_property_read_u32_array" },
	{ 0xb38cbdd1, "i2c_register_driver" },
	{ 0x2629eafb, "snd_soc_info_volsw" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x3cd81757, "snd_soc_dapm_put_volsw" },
	{ 0x4ebfd0b8, "snd_soc_add_component_controls" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0x281a55c1, "snd_soc_dapm_add_routes" },
	{ 0x749a2fd4, "snd_soc_info_enum_double" },
	{ 0xeed1e471, "regulator_bulk_enable" },
	{ 0xb21241e6, "devm_regulator_bulk_get" },
	{ 0x2d2196cc, "snd_soc_get_volsw" },
	{ 0xc08a7bd1, "regmap_read" },
	{ 0x93d94867, "snd_soc_put_volsw" },
	{ 0xf0fccf64, "snd_soc_component_update_bits" },
	{ 0x498366ce, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c278039, "regmap_update_bits_base" },
	{ 0x9411183a, "dev_err_probe" },
	{ 0x46ac31eb, "snd_soc_dapm_get_volsw" },
	{ 0xa127e835, "i2c_del_driver" },
	{ 0x74d36281, "snd_soc_dapm_get_enum_double" },
	{ 0xd03c06b4, "snd_soc_dapm_del_routes" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("i2c:tlv320aic310x");
MODULE_ALIAS("i2c:tlv320aic311x");
MODULE_ALIAS("i2c:tlv320aic3100");
MODULE_ALIAS("i2c:tlv320aic3110");
MODULE_ALIAS("i2c:tlv320aic3120");
MODULE_ALIAS("i2c:tlv320aic3111");
MODULE_ALIAS("i2c:tlv320dac3100");
MODULE_ALIAS("i2c:tlv320dac3101");
MODULE_ALIAS("of:N*T*Cti,tlv320aic310x");
MODULE_ALIAS("of:N*T*Cti,tlv320aic310xC*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic311x");
MODULE_ALIAS("of:N*T*Cti,tlv320aic311xC*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3100");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3100C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3110");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3110C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3120");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3120C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3111");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3111C*");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3100");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3100C*");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3101");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3101C*");
MODULE_ALIAS("acpi*:10TI3100:*");

MODULE_INFO(srcversion, "53C25F64DAE161FE3272CE6");

MODULE_INFO(suserelease, "SLE15-SP6");
