#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wm_adsp_fw_get, 0x724647cc, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x60eceb51, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0xed982215, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0xd40fb4ae, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x705d9d78, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x82e6dc61, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x57c706c1, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x3a3ebf16, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x4084b176, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x522e1deb, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x28b00365, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x9ed7e6b9, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x942dabc3, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xc2e6f67b, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x12bcd5c7, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0xbb9f637b, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x85534a42, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xbec8cbf3, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x450425d3, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x64746947, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x004a1168, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x384292a2, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xbdea9d8a, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x57f19ba9, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xd8f93589, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x3707974c, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0xb8df279a, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf36e5700, "snd_soc_component_force_enable_pin" },
	{ 0xc95a475c, "firmware_request_nowarn" },
	{ 0xd2e82d04, "cs_dsp_cleanup_debugfs" },
	{ 0x588e77d3, "cs_dsp_coeff_read_ctrl" },
	{ 0xf825b071, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x3f3aee1c, "cs_dsp_stop" },
	{ 0xfa38cb99, "cs_dsp_adsp1_power_up" },
	{ 0x2bb3d1ec, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x52d41e89, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x435f7181, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcdb5d525, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0xddcb8823, "cs_dsp_halo_bus_error" },
	{ 0x9218010f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xffd43cef, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x9a0e9d6a, "cs_dsp_find_alg_region" },
	{ 0xfb4cc312, "cs_dsp_coeff_write_acked_control" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0xccdff88d, "cs_dsp_get_ctl" },
	{ 0xdcc5448a, "_dev_info" },
	{ 0x54120e5e, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x756945e, "cs_dsp_halo_init" },
	{ 0x56177f5d, "cs_dsp_power_down" },
	{ 0x94b7ca7b, "cs_dsp_adsp2_init" },
	{ 0x4ebfd0b8, "snd_soc_add_component_controls" },
	{ 0xa9b26730, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xce16dc61, "cs_dsp_set_dspclk" },
	{ 0xdcb764ad, "memset" },
	{ 0x427c92b5, "_dev_warn" },
	{ 0x2487746d, "cs_dsp_power_up" },
	{ 0x17484db1, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xa5ba2b3, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x734367bb, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5ea8336a, "cs_dsp_halo_wdt_expire" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x916759e2, "snd_soc_component_disable_pin" },
	{ 0x428fce24, "snd_soc_bytes_tlv_callback" },
	{ 0x8ad025fb, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x15e80ff3, "cs_dsp_read_raw_data_block" },
	{ 0xb18776a5, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa2d69365, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4512d601, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6a70145f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,cs_dsp,snd-compress");


MODULE_INFO(srcversion, "F5B433CF054EB473A43CE7A");

MODULE_INFO(suserelease, "SLE15-SP6");
